summaryrefslogtreecommitdiffstats
path: root/.local/bin/torwrap
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/torwrap')
-rwxr-xr-x.local/bin/torwrap6
1 files changed, 6 insertions, 0 deletions
diff --git a/.local/bin/torwrap b/.local/bin/torwrap
new file mode 100755
index 0000000..04e7a51
--- /dev/null
+++ b/.local/bin/torwrap
@@ -0,0 +1,6 @@
+#!/bin/sh
+ifinstalled transmission-remote-cli transmission-cli || exit
+
+! pgrep -x transmission-da >/dev/null && transmission-daemon && notify-send "Starting torrent daemon..." && sleep 3 && pkill -RTMIN+7 i3blocks
+
+$TERMINAL -e transmission-remote-cli